Subject: Re: bug#77315: 31.0.50; Crash in Finsert_file_contents, file size changed

From: Pip Cet <[email-masked]>
Date: Thu, 27 Mar 2025 19:17:45 +0000

"Paul Eggert" <[email-masked]> writes:

> On 3/27/25 10:21, Eli Zaretskii wrote:
>> AFAIR, insert-file-contents needs to be completely rewritten to handle
>> such situations.
>
> I drafted something a while ago along those lines but never got around
> to finish it. I'll try to bump the priority.

Thank you both!  I'll wait, then.  I'm perfectly happy reading "random"
data if a file is changed while being read, FWIW, but I see no reason to
crash, and it's also somewhat undesirable to throw an error in this
situation.

Pip